"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCode = void 0;
const ui_foundation_ui_hooks_use_data_query_1 = require("@teambit/ui-foundation.ui.hooks.use-data-query");
const client_1 = require("@apollo/client");
const getCode = (0, client_1.gql) `
  query getCode($id: String!) {
    getHost {
      id # used for GQL caching
      get(id: $id) {
        id {
          # used for GQL caching
          name
          version
          scope
        }
        fs
        mainFile
        devFiles
        dependencies {
          id
          version
          lifecycle
          packageName
        }
      }
    }
  }
`;
function useCode(componentId) {
    var _a, _b, _c, _d;
    const id = componentId === null || componentId === void 0 ? void 0 : componentId.toString();
    const _e = (0, ui_foundation_ui_hooks_use_data_query_1.useDataQuery)(getCode, {
        variables: { id },
        skip: !componentId,
    }), { data } = _e, rest = __rest(_e, ["data"]);
    const fileTree = (_a = data === null || data === void 0 ? void 0 : data.getHost) === null || _a === void 0 ? void 0 : _a.get.fs;
    const mainFile = (_b = data === null || data === void 0 ? void 0 : data.getHost) === null || _b === void 0 ? void 0 : _b.get.mainFile;
    const devFiles = (_c = data === null || data === void 0 ? void 0 : data.getHost) === null || _c === void 0 ? void 0 : _c.get.devFiles;
    const dependencies = (_d = data === null || data === void 0 ? void 0 : data.getHost) === null || _d === void 0 ? void 0 : _d.get.dependencies;
    return Object.assign({ fileTree, mainFile, dependencies, devFiles }, rest);
}
exports.useCode = useCode;
//# sourceMappingURL=get-component-code.js.map